<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
    <meta charset="UTF-8">
    <title>Form</title>
</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">User</h4>
    <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
    <!--            <div class="btn-group me-2">-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
    <!--            </div>-->
    <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
    <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
    <!--                This week-->
    <!--            </button>-->
    <!--        </div>-->
  </div>

  <div class="row">
    <div class="col-md-12" style="margin-bottom: 20px;">
      <div class="card">
        <div class="card-header" style="text-align: right;">
          <a th:href="@{/role}" class="btn btn-dark btn-sm"><i class="fa fa-plus-circle"></i> Role</a>
          <a th:href="@{/user}" class="btn btn-info btn-sm"><i class="fa fa-arrow-circle-left"></i> Kembali</a>
        </div>
        <div class="card-body">
          <form th:action="@{/user/save}" th:object="${user}" method="post">
            <div class="form-group mb-3">
              <label>Username</label>
              <input type="email" class="form-control" name="username" th:field="*{username}">
              <input type="hidden" name="id" th:field="*{id}">
            </div>
            <div class="form-group mb-3">
              <label>Role</label>
              <select class="form-control" name="role" th:field="*{role}">
                <option value="" selected disabled>-- Pilih --</option>
                <option th:each="data, row:${role}"
                        th:text="${data.description}"
                        th:value="${data.id}"></option>
              </select>
            </div>
            <div class="form-group">
              <button class="btn btn-primary btn-sm">Simpan</button>
            </div>
          </form>
        </div>
      </div>
    </div>
  </div>
</main>

</body>
</html>